/*
 * =====================================================================================
 *
 *       Filename:  pierwsze.c
 *
 *    Description: Program wypisuje liczby pierwsze do zadanej wartosci. 
 *
 *        Version:  1.0
 *        Created:  19.03.2012 17:06:57
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  MG (grochu@is.umk.pl), 
 *   Organization:  KIS
 *
 * =====================================================================================
 */


#include<stdio.h>

/* Funkcja sprawdza czy dana liczba jest liczba pierwsza.
 * Wartoscia zwaracana jest 1 gdy dana liczba jest liczba pierwsza i
 * 0 w przeciwnym wypadku 	*/
int czy_pierwsza(int n)
{
	int i=2;
	while(i<=n/2)
	{
		if (n%i==0) return 0;
		i++;
	}
	return 1;
}


int main()
{
   int n,i;
   printf("Podaj liczbe calkowita: ");
   scanf("%d",&n);
   printf("Wszystkie liczby pierwsze od 1 do %d: \n",n);
   for( i=1 ; i<=n ; i++ ) if(czy_pierwsza(i)) printf("%d ",i);
   printf("\n");
   return 0;
}


